import { DataSource, Repository } from 'typeorm';
import { Injectable } from '@nestjs/common';
import { InviteSpaceEntity } from '../entities/invite-space.entity';
import { SpaceLinkEntity } from '../entities/space-link.entity';
import { SpaceEntity } from '../entities/space.entity';
import { TagEntity } from '../entities/tag.entity';
import { SpaceProductAllocationEntity } from '../entities/space-product-allocation.entity';

@Injectable()
export class SpaceRepository extends Repository<SpaceEntity> {
  constructor(private dataSource: DataSource) {
    super(SpaceEntity, dataSource.createEntityManager());
  }
}

@Injectable()
export class SpaceLinkRepository extends Repository<SpaceLinkEntity> {
  constructor(private dataSource: DataSource) {
    super(SpaceLinkEntity, dataSource.createEntityManager());
  }
}

@Injectable()
export class TagRepository extends Repository<TagEntity> {
  constructor(private dataSource: DataSource) {
    super(TagEntity, dataSource.createEntityManager());
  }
}

@Injectable()
export class InviteSpaceRepository extends Repository<InviteSpaceEntity> {
  constructor(private dataSource: DataSource) {
    super(InviteSpaceEntity, dataSource.createEntityManager());
  }
}
@Injectable()
export class SpaceProductAllocationRepository extends Repository<SpaceProductAllocationEntity> {
  constructor(private dataSource: DataSource) {
    super(SpaceProductAllocationEntity, dataSource.createEntityManager());
  }
}
