import { ApiProperty } from '@nestjs/swagger';
import { IsNotEmpty, IsOptional, IsString, IsUUID } from 'class-validator';

export class UpdateTagModelDto {
  @ApiProperty({
    description: 'UUID of the tag to be updated',
    example: '123e4567-e89b-12d3-a456-426614174000',
  })
  @IsNotEmpty()
  @IsUUID()
  uuid: string;

  @ApiProperty({
    description: 'Updated name of the tag',
    example: 'Updated Tag Name',
    required: false,
  })
  @IsOptional()
  @IsString()
  tag?: string;
}
